Subject: RE: RE : [Pce] Proposed Charter for a PCE WG

From: "BOUCADAIR Mohamed RD-CORE-CAE" <[email-masked]>
Date: Mon, 18 Oct 2004 10:25:09 +0200

Hi all,

The proposed charter sounds good..
See some comments inlign.

Cheers,
Med

>-----Message d'origine-----
>De : [email-masked] 
>[mailto:[email-masked]] De la part de Adrian Farrel
>Envoyé : samedi 9 octobre 2004 00:33
>À : [email-masked]
>Objet : [Pce] Proposed Charter for a PCE WG
>
>
>Hi,
>
>The main purposes of the PCE BOF in Washington DC will be to 
>discuss the PCE architecture, and the need for and scope of a 
>PCE WG. Hence the proposed charter is particularly important.
>
>JP and I have put together the following as a starting point, 
>and we would very much appreciate your comments on the mailing 
>list in advance of the meeting. Specific milestones are 
>pending agreement on the major work areas.
>
>Thanks,
>Adrian
>============
>Proposed Charter
>
>WG items:
>- Functional specification of Generalized Traffic Engineered LSP path
>  computation techniques involving Path Computation Element(s). This
>  includes the case of intra IGP area, inter IGP area, inter-AS and
>  inter-provider TE LSPs path computation for both Point to Point,
>  Point to Multipoint and Multipoint to Multipoint TE LSPs.
>- Specification of routing (OSPF, ISIS, BGP) and signaling (RSVP-TE)
>  extensions required by PCE-based path computation techniques.
>  Specification of routing extensions in support of PCE discovery
>  techniques within an IGP area and across multiple IGP areas, ASes
>  and Provider networks. The proposed extensions will done in
>  conjunction with the WGs in charge of the specification of those
>  protocols.

Do we need RSVP-TE extensions?
What do we mean by "PCE Discovery"? Is it discovery of a "service" or a "network element".

>- Specification of new protocols or modifications to existing
>  protocols to facilitate communication between LSRs and PCEs, and
>  between a PCE and other PCEs.

Yes.

>- Definition of protocol-independent metrics defining path quality
>  measurement criteria, algorithm complexity and scalability criteria
>  related to path computation techniques.

>- Specification of requirements and protocol extensions related to the
>  policy, security and confidentiality aspects of PCE-based path
>  computation techniques involving PCEs of multiple Providers.

This is a critical point that should be addressed whithin the PCE wg.

>- Definition of MIBs and management procedures related to the new
>  protocols, protocol extensions and operational elements defined
>  by the WG.
>
>The WG will work closely with the following other WGs: CCAMP, 
>MPLS, ISIS, OSPF; and will also cooperate with the ITU-T and 
>OIF where appropriate.
>
>
>_______________________________________________
>Pce mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/pce
>

_______________________________________________
Pce mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pce

---

From: JP Vasseur <[email-masked]>
Date: Mon, 18 Oct 2004 16:00:40 -0400

Hi Mohamed,

Thanks for your comments on the proposed charter - see in line,

> Do we need RSVP-TE extensions?

This may be needed. Note that we do not refer to the use of RSVP for 
the PCC-PCE or PCE-PCE (which is one proposal among others) but to some 
potential RSVP-TE extensions required when the path has been computed 
by means of a PCE.

> What do we mean by "PCE Discovery"? Is it discovery of a "service" or 

The discovery that a network entity has the capability to act as a PCE.

>> MPLS, ISIS, OSPF; and will also cooperate with the ITU-T and

Thanks.

JP.